# bzr.py: Specialization of `describe' for Bazaar.
# Copyright (C) 2013  Stephen Compall

# Julython-commit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.

# Julython-commit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Julython-commit.  If not, see <http://www.gnu.org/licenses/>.

import re

_origin_patterns = [(re.compile(reg), exps) for reg, exps in [
    (r'bzr+ssh://bazaar.launchpad.net/(~([^/]+)/(^\+[^/]*)/.*)',
     (ur'https://launchpad.net/\3', ur'\3',
      r'https://code.launchpad.net/\1')),
]

def config(dirpath='.'):
    pass                        # TODO

# bzr.py ends here
