# schemautil.py: Zope schema utilities.
# Copyright (C) 2013  Stephen Compall

# Julython-commit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.

# Julython-commit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Julython-commit.  If not, see <http://www.gnu.org/licenses/>.

from zope.schema import getFieldsInOrder

def zs(iface, obj):
    """Verify OBJ satisfies IFACE, and answer OBJ."""
    for _, fi in getFieldsInOrder(iface):
        bfi = fi.bind(obj)
        bfi.validate(bfi.get(obj))
    return obj

# schemautil.py ends here
