#!/usr/bin/env python
# main.py: Send commit info to Julython.
# Copyright (C) 2013  Stephen Compall

# Julython-commit is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.

# Julython-commit is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with Julython-commit.  If not, see <http://www.gnu.org/licenses/>.

import optparse as argp
import sys

def usage(progname):
    return "%(script_name)s [OPTION]..." % {'script_name': progname}

def standard_option_parser(progname):
    "Answer my option parser."
    p = argp.OptionParser(usage=usage(progname))
    return p

def handle_args(opts, args):
    return 1                    # TODO

def main_shim():
    return handle_args(*standard_option_parser(sys.argv[0]).parse_args())

if __name__ == '__main__':
    sys.exit(main_shim())

# main.py ends here
