from setuptools import setup, find_packages
import sys, os

version = '0.1'

setup(name='julython-commit',
      version=version,
      description="Commit to Julython without using Github or Bitbucket",
      long_description="""\
""",
      classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Environment :: Plugins',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)',
        'Natural Language :: English',
        'Operating System :: POSIX',
        'Programming Language :: Python :: 2.7',
        'Topic :: Software Development :: Version Control',
      ], # Get strings from http://pypi.python.org/pypi?%3Aaction=list_classifiers
      keywords='',
      author='Stephen Compall',
      author_email='scompall@nocandysw.com',
      url='',
      license='GPL v3',
      packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
      include_package_data=True,
      zip_safe=True,
      install_requires=[
          'zope.schema>=4.3.2,<4.4dev',
          'bzr>=2.5.1,<2.7dev',
          'dulwich>=0.9.0,<0.10dev',
          # -*- Extra requirements: -*-
      ],
      entry_points="""
      # -*- Entry points: -*-
      [console_scripts]
      julython-commit = julythoncommit.main:main_shim
      """,
      test_suite='julythoncommit.tests',
      )
